Introduction

The main purpose of this document is to make easier the installation of a DPM on a 64-bit machine. For the moment, there is no official way to install a DPM on a 64-bit as on 32-bit machine.

Prerequisite

To install rpms on a 64-bit machine, YUM MUST BE INSTALLED and USED. Edit/Create your /etc/yum.repos.d/glite.repo.
[main]
[lcg-mdw]
name=gLite 3.0 middleware
baseurl=http://grid-deployment.web.cern.ch/grid-deployment/apt-cert/SL4/RPMS.sl4/
enabled=1
protected=1

[CA]
name=CAs
baseurl=http://linuxsoft.cern.ch/LCG-CAs/current
enabled=1

You also need to install j2sdk as a rpm (http://java.sun.com/j2se/1.4.2/download.html). Yaim (latest version) should also be there: wget http://grid-deployment.web.cern.ch/grid-deployment/gis/yaim/glite-yaim-3.0.1-15.noarch.rpm rpm -ivh glite-yaim-3.0.1-15.noarch.rpm

Installation of the RPMs using yum

yum install lcg-vomscert-na48 yum install lcg-vomscert-4.3.0-1 yum install gsiopenssh gssklog-cern yum install openldap-clients openldap-servers yum install glite-rgma-command-line yum install glite-rgma-api-java glite-rgma-stubs-servlet-java yum install edg-profile lcg-version lcg-profile yum install j2sdk_profile globus-config globus-initialization yum install lcg-info yum install pyOpenSSL

mkdir -p /opt/glite/yaim/etc cp -p /opt/glite/yaim/examples/users.conf /opt/glite/yaim/etc/users.conf cp -p /opt/glite/yaim/examples/groups.conf /opt/glite/yaim/etc/groups.conf

-- LanaAbadie - 23 May 2007

Edit | Attach | Watch | Print version | History: r8 | r4 < r3 < r2 < r1 | Backlinks | Raw View | Raw edit | More topic actions...
Topic revision: r2 - 2007-05-23 - LanaAbadie
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    LCG All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback